This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 863831 - libmtp 1.1.5-1 missing build dep on libgcrypt-devel
libmtp 1.1.5-1 missing build dep on libgcrypt-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmtp (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 14:46 EDT by Ville Skyttä
Modified: 2012-12-20 11:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:15:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-10-07 14:46:01 EDT
http://kojipkgs.fedoraproject.org//packages/libmtp/1.1.5/1.fc18/data/logs/x86_64/build.log

checking for libgcrypt... checking for gcry_check_version in -lgcrypt... no
configure: *** libgcrypt not found - disabling MTPZ support ***
configure: MTPZ functionality disable

Fix: add "BuildRequires: libgcrypt-devel"; for reproducible builds if nothing else.
Comment 1 Linus Walleij 2012-10-07 17:03:16 EDT
I have chosen not to enable MTPZ so far, do you need it?
Comment 2 Ville Skyttä 2012-10-08 02:27:44 EDT
I don't think I need it for anything, but if it is intentionally disabled, it should be explicitly done so by configuring with --disable-mtpz instead of leaving it to depend on whether libgcrypt-devel happens to be installed or not (reproducible local builds).
Comment 3 Linus Walleij 2012-10-09 16:49:04 EDT
Aha, good point. I'll fix!
Comment 4 Fedora Update System 2012-10-17 05:30:11 EDT
libmtp-1.1.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libmtp-1.1.5-2.fc18
Comment 5 Fedora Update System 2012-10-17 13:36:12 EDT
Package libmtp-1.1.5-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmtp-1.1.5-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16330/libmtp-1.1.5-2.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 11:15:24 EST
libmtp-1.1.5-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.